Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.interceptors
Class BaseCacheLoaderInterceptor

    java.lang.Object
      org.jboss.cache.interceptors.Interceptor
          org.jboss.cache.interceptors.BaseCacheLoaderInterceptor

All Implemented Interfaces:
  InterceptorMBean

Direct Known Subclasses:
  CacheLoaderInterceptor, CacheStoreInterceptor

    public class BaseCacheLoaderInterceptor

extends Interceptor

asbtract superclass for cache loader and cache store interceptors.

Author:
  Manik Surtani (manik@jboss.org)

Field Summary
`protected CacheLoader` | `loader`

Constructor Summary
`BaseCacheLoaderInterceptor()`

Method Summary
`protected void` | `obtainLoaderLock(java.lang.Object lock)` Simplistic locking mechanism that uses a single synchronized lock per fqn accessed.
`protected void` | `obtainLoaderLocks(java.util.List locks)`
`protected void` | `releaseLoaderLock(java.lang.Object lock)` Releases simplistic loader lock.
`protected void` | `releaseLoaderLocks(java.util.List locks)`
`void` | `setCache(TreeCache cache)`

Methods inherited from class org.jboss.cache.interceptors.Interceptor
`dumpStatistics, getInvocationContext, getNext, getStatisticsEnabled, invoke, isActive, isBuddyGroupOrganisationMethod, isOnePhaseCommitPrepareMehod, isPreparing, isTransactionLifecycleMethod, isValid, resetStatistics, setInvocationContext, setNext, setStatisticsEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### loader

    protected CacheLoader loader

Constructor Detail

### BaseCacheLoaderInterceptor

    public BaseCacheLoaderInterceptor()

Method Detail

### setCache

    public void setCache(TreeCache cache)

  Overrides:
    `setCache` in class `Interceptor`

### obtainLoaderLock

    protected void obtainLoaderLock(java.lang.Object lock)

  Simplistic locking mechanism that uses a single synchronized lock per fqn accessed. Nothing complex here - no isolation levels or consideration for the operation being performed for now.

### releaseLoaderLock

    protected void releaseLoaderLock(java.lang.Object lock)

  Releases simplistic loader lock.

### releaseLoaderLocks

    protected void releaseLoaderLocks(java.util.List locks)

### obtainLoaderLocks

    protected void obtainLoaderLocks(java.util.List locks)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.